Main Page Modules Data Structures File List Data Fields Globals Related Pages

# randomGenerator Struct Reference
[Pseudo-Random Number Generators]

`#include <beecrypt.h>`

## Data Fields
const char * | name
const unsigned int | paramsize
const randomGeneratorSetup | setup
const randomGeneratorSeed | seed
const randomGeneratorNext | next
const randomGeneratorCleanup | cleanup

## Detailed Description

Methods and parameters for random generators. Each specific random generator MUST be written to be multithread safe.

Warning:
  Each randomGenerator, when used in cryptographic applications, MUST be guaranteed to be of suitable quality and strength (i.e. don't use the random() function found in most UN*X-es).

Multiple instances of each randomGenerator can be used (even concurrently), provided they each use their own randomGeneratorParam parameters, a chunk of memory which must be at least as large as indicated by the paramsize field.

Definition at line 181 of file beecrypt.h.

## Field Documentation

const randomGeneratorCleanup randomGenerator::cleanup

| Definition at line 189 of file beecrypt.h. Referenced by randomGeneratorContextFree.

const char* randomGenerator::name

| random generator name Definition at line 184 of file beecrypt.h.

const randomGeneratorNext randomGenerator::next

| Definition at line 188 of file beecrypt.h. Referenced by mp32brnd_w, mp32brndodd_w, and randomGeneratorContextNext.

const unsigned int randomGenerator::paramsize

| Definition at line 185 of file beecrypt.h. Referenced by randomGeneratorContextInit.

const randomGeneratorSeed randomGenerator::seed

| Definition at line 187 of file beecrypt.h.

const randomGeneratorSetup randomGenerator::setup

| Definition at line 186 of file beecrypt.h. Referenced by randomGeneratorContextInit.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h